Un des certificats qu’ Apple utilise pour signer les paquets d’applications/mis à jour a expiré!

{0 Comments}

Une petite boulette d’Apple est venue compliquer la vie de packageurs: en effet un des certificats que Apple utilise depuis deux ans pour signer les paquets flat d’installation ou mis à jour a expiré cette semaine.
Ce problème touche en particulier le paquet iLife 11 (version DVD) et impacte tout système de deploiement utilisant l’installation par la ligne de commande installer (InstaDMG, Deploy Studio, ASU…)

Il est recommandé de contrôler et mettre à jour les certificats des paquets avec le nouveau utilisé par Apple sur le « App Store » sous peine de voir ces mêmes paquets refusés d’installation par l’OSX.

Un sysadmin magnanime (qui a défini cet incident comme « Package Apocalypse » dans son blog 🙂 ) a mis à disposition un petit script python pour contrôler les paquets et une procédure (et un autre petit script) pour réparer les certificats dans les paquets existants:

http://managingosx.wordpress.com/2012/03/24/package-apocalypse/
http://managingosx.wordpress.com/2012/03/24/fixing-packages-with-expired-signatures/

Merci à lui

KB Apple: http://support.apple.com/kb/HT5198?viewlocale=en_US&locale=en_US

Leave a Comment

Your email address will not be published.

*